%bcond_with tests

%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           flatbuffers
Version:        1.12.0
Release:        %mkrel 1
Summary:        Memory efficient serialization library
URL:            http://google.github.io/flatbuffers
Group:          Development/Other

# The entire source code is ASL 2.0 except grpc/ which is BSD (3 clause)
License:        ASL 2.0 and BSD

Source0:        https://github.com/google/flatbuffers/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:        flatc.1
Source2:        flatbuffers.7

# Upstream bug: https://github.com/google/flatbuffers/issues/5769
Patch2:         0002-Handle-git-program-or-.git-folder-absence-5878.patch

BuildRequires:  cmake >= 2.8.9
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Provides:       bundled(grpc)

%description
FlatBuffers is a serialization library for games and other memory constrained
apps. FlatBuffers allows you to directly access serialized data without
unpacking/parsing it first, while still having great forwards/backwards
compatibility.

#------------------------------------------------

%package -n     %{libname}
Summary:        Memory efficient serialization library
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
FlatBuffers is a serialization library for games and other memory constrained
apps. FlatBuffers allows you to directly access serialized data without
unpacking/parsing it first, while still having great forwards/backwards
compatibility.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------


%prep
%setup -q
%apply_patches

# cleanup distribution
rm -rf js net php docs go java js biicode {samples/,}android
chmod -x readme.md

%build
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DFLATBUFFERS_BUILD_SHAREDLIB=ON \
       -DFLATBUFFERS_BUILD_FLATLIB=OFF \
       -DFLATBUFFERS_BUILD_FLATC=ON \
       -DFLATBUFFERS_BUILD_TESTS=%{?with_tests:ON}%{!?with_tests:OFF}

%cmake_build


%install
rm -rf %buildroot
%cmake_install


mkdir -p %{buildroot}%{_mandir}/man{1,7}
cp -p %{SOURCE1} %{buildroot}%{_mandir}/man1/flatc.1
cp -p %{SOURCE2} %{buildroot}%{_mandir}/man7/flatbuffers.7

%files
%{_bindir}/flatc
%{_mandir}/man1/flatc.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_mandir}/man7/%{name}.7*
%{_libdir}/cmake/%{name}/


%changelog
* Thu May 13 2021 tex - 1.20.0-1pclos2021
- 1.20.0
